load( "/rules/produto/validaDados.js" );
var mapper = mapperFactory.createMapperMult(["EstProdCpl"]);
var validaProduto = new ValidaProduto();

try{
    if(message.get('stsProd') != null)
        validaProduto.validarStatusDoProdutoNoCadastro(message, message.get('cdFilial'));

    mapper.update('EstProdCpl.alterarEstProdCpl', message);
    mapper.commit();

}catch(err){
    mapper.rollback();

	if(err.code)
	    throw JSON.stringify(err);
	else
	    throw err;
}